/***************************************************************************
                String.h
                -----------------------------------------
    begin      : 2011/01/07
    copyright  : (C) 2005 SolutionBox Inc.
    author     : Service 1 Team
    email      : svc1@solbox.com

    CopyRight(C) 2005 SolutionBox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of SolutionBox Inc.
***************************************************************************/

/***************************************************************************
                소스 수정 히스토리

작성자    작성일       Revision   내용
장희준    2011/01/07   ?          ADD - 최초 등록
***************************************************************************/
#ifndef	__STRING_H__
#define	__STRING_H__

#include <string>
#include <vector>

class CString
{
// Attributes
private:

protected:

public:

// Operations
private:

protected:

public:
	CString();
	virtual ~CString();

	static std::string		Quotation( const  std::string str );
	static std::string		IntToStr( int value );
	static std::string		LongToStr( long long value );
	static std::string		DoubleToStr( double value, int point );
	static std::string		Replace( const  std::string srcStr, const std::string targetStr, const std::string replacedStr );
	static std::string		LTrim( const std::string srcString, char del = ' ' );
	static std::string		RTrim( const std::string srcString, char del = ' ' );
	static std::string		Trim( const std::string srcString );

	static std::vector<std::string>	Tokenize( const std::string srcStr, const std::string token );
};

#endif//	__STRING_H__
